# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dipsclient/version'

Gem::Specification.new do |spec|
  spec.name          = "dipsclient"
  spec.version       = Dipsclient::VERSION
  spec.authors       = ["Pedro Ramirez"]
  spec.email         = ["pramirez@sciodev.com"]

  spec.summary       = %q{The Ruby client for the DiPS service(Distributed Publish Subscribe).}
  spec.description   = %q{The Ruby client for the DiPS service(Distributed Publish Subscribe).}
  spec.homepage      = "https://github.com/pedro-ramirez-suarez/DiPSRubyClient"
  spec.license       = "MIT"

  

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_dependency "websocket-client-simple"
end
